python-bloom_0.5.26-4_all.deb


Advertisement

Description

python-bloom - Bloom is a release automation tool from Robot OS (Python 2)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-bloom
Package version 0.5.26
Package release 4
Package architecture all
Package type deb
Installed size 435 B
Download size 62.20 KB
Official Mirror archive.ubuntu.com
This package is part of Robot OS (ROS). It (bloom) provides tools for
releasing software on top of a git repository and uses tools and
patterns from git-buildpackage. Additionally, bloom uses meta
and build information from catkin (https://github.com/ros/catkin) to
automate release branching and the generation of platform specific
source packages, like debian's src-debs.
This package installs the library for Python 2.

Alternatives

Package Version Architecture Repository
python-bloom_0.5.26-4_all.deb 0.5.26 all Ubuntu Universe
python-bloom - - -

Requires

Name Value
python-catkin-pkg -
python-dateutil -
python-empy -
python-pkg-resources -
python-rosdep -
python-rosdistro -
python-vcstools -
python-yaml -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-bloom_0.5.26-4_all.deb
Source Package ros-bloom

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-bloom deb package:
    # sudo apt-get install python-bloom

Files

Path
/usr/bin/bloom-export-upstream
/usr/bin/bloom-generate
/usr/bin/bloom-release
/usr/bin/bloom-update
/usr/bin/git-bloom-branch
/usr/bin/git-bloom-config
/usr/bin/git-bloom-generate
/usr/bin/git-bloom-import-upstream
/usr/bin/git-bloom-patch
/usr/bin/git-bloom-release
/usr/lib/python2.7/dist-packages/bloom/__init__.py
/usr/lib/python2.7/dist-packages/bloom/config.py
/usr/lib/python2.7/dist-packages/bloom/git.py
/usr/lib/python2.7/dist-packages/bloom/github.py
/usr/lib/python2.7/dist-packages/bloom/logging.py
/usr/lib/python2.7/dist-packages/bloom/packages.py
/usr/lib/python2.7/dist-packages/bloom/summary.py
/usr/lib/python2.7/dist-packages/bloom/util.py
/usr/lib/python2.7/dist-packages/bloom-0.5.26.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/bloom-0.5.26.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/bloom-0.5.26.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/bloom-0.5.26.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/bloom-0.5.26.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/bloom/commands/__init__.py
/usr/lib/python2.7/dist-packages/bloom/commands/export_upstream.py
/usr/lib/python2.7/dist-packages/bloom/commands/generate.py
/usr/lib/python2.7/dist-packages/bloom/commands/release.py
/usr/lib/python2.7/dist-packages/bloom/commands/update.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/__init__.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/branch.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/config.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/generate.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/import_upstream.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/release.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/__init__.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/common.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/export_cmd.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/import_cmd.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/patch_main.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/rebase_cmd.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/remove_cmd.py
/usr/lib/python2.7/dist-packages/bloom/commands/git/patch/trim_cmd.py
/usr/lib/python2.7/dist-packages/bloom/generators/__init__.py
/usr/lib/python2.7/dist-packages/bloom/generators/common.py
/usr/lib/python2.7/dist-packages/bloom/generators/release.py
/usr/lib/python2.7/dist-packages/bloom/generators/rosdebian.py
/usr/lib/python2.7/dist-packages/bloom/generators/rosrelease.py
/usr/lib/python2.7/dist-packages/bloom/generators/rosrpm.py
/usr/lib/python2.7/dist-packages/bloom/generators/debian/__init__.py
/usr/lib/python2.7/dist-packages/bloom/generators/debian/generate_cmd.py
/usr/lib/python2.7/dist-packages/bloom/generators/debian/generator.py
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/changelog.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/compat.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/control.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/gbp.conf.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/rules.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/source/format.em
/usr/lib/python2.7/dist-packages/bloom/generators/debian/templates/source/options.em
/usr/lib/python2.7/dist-packages/bloom/generators/rpm/__init__.py
/usr/lib/python2.7/dist-packages/bloom/generators/rpm/generate_cmd.py
/usr/lib/python2.7/dist-packages/bloom/generators/rpm/generator.py
/usr/lib/python2.7/dist-packages/bloom/generators/rpm/templates/template.spec.em
/usr/share/doc/python-bloom/changelog.Debian.gz
/usr/share/doc/python-bloom/copyright
/usr/share/lintian/overrides/python-bloom

Changelog

2017-08-13 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.26-4) unstable; urgency=medium
* Fix python3 dependencies
2017-07-29 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.26-3) unstable; urgency=medium
* Fix python3 package
* Update overrides
2017-07-22 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.26-2) unstable; urgency=medium
* Repackage using pybuild
* Add new ros2-bloom package
2017-06-28 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.26-1) unstable; urgency=medium
* New upstream version 0.5.26
* Update policy and debhelper versions
* Update watch file
2016-11-04 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.23-1) unstable; urgency=medium
* New upstream version 0.5.23
2016-09-02 - Jochen Sprickerhof <jspricke@debian.org>
ros-bloom (0.5.22-1) unstable; urgency=medium
* Bumped Standards-Version to 3.9.8, no changes needed.
* Update my email address
* New upstream version 0.5.22
2016-06-18 - Jochen Sprickerhof <debian@jochen.sprickerhof.de>
ros-bloom (0.5.21-1) unstable; urgency=medium
* Imported Upstream version 0.5.21
2015-12-23 - Leopold Palomo-Avellaneda <leo@alaxarxa.net>
ros-bloom (0.5.20-1) unstable; urgency=medium
* New upstream version. (Closes: 804826)
* Source package automatically created by stdeb 0.6.0+git plus manual
retouches.

See Also

Package Description
python-bloomfilter_2.0-1_i386.deb Native Python implementation of the Bloom filter probabilistic data structure
python-blosc-doc_1.4.4+ds1-4_all.deb Python bindings for the Blosc meta-compressor (docs)
python-blosc_1.4.4+ds1-4_i386.deb Python bindings for the Blosc meta-compressor
python-bluez_0.22-1_i386.deb Python wrappers around BlueZ for rapid bluetooth development
python-bobo_0.2.2-3build1_all.deb Web application framework for the impatient
python-boltons_16.4.1-1_all.deb set of pure-Python utilities (Python 2)
python-bond_1.7.18-2_all.deb Messages related to Robot OS bond_core - Python
python-bondpy_1.7.18-2_i386.deb Python implementation of bond
python-bootstrapform-doc_3.2.1-3_all.deb generate twitter-bootstrap form output for django form - doc
python-bootstrapform_3.2.1-3_all.deb generate twitter-bootstrap form output for django form - Python 2.x
python-boto3_1.4.2-1_all.deb Python interface to Amazon's Web Services - Python 2.x
python-boto_2.44.0-1ubuntu2_all.deb Python interface to Amazon's Web Services - Python 2.x
python-botocore_1.6.6-1_all.deb Low-level, data-driven core of boto 3 (Python 2)
python-bottle-beaker_0.1.3-1_all.deb Bottle plugin beaker, WSGI middleware for sessions and caching - Python 2.X
python-bottle-cork_0.12.0-2_all.deb Authentication/Authorization library for Bottle - Python 2
Advertisement
Advertisement